You are not logged in.
Pages: 1
Hi there, first the package lxdm of the repository never install properly because ever exit with status error code 1.
#dpkg: error al procesar el paquete lxdm (--configure):
#el subproceso instalado el script post-installation devolvió el código de salida de error 1
i make my own script for install and configure (the major part)
#!/usr/bin/env bash
cd /tmp
if [ -f /tmp/lxdm-0.5.3.tar.xz ]
then
tar xf lxdm-0.5.3.tar.xz ; cd lxdm-0.5.3
else
wget -c https://downloads.sourceforge.net/lxdm/lxdm-0.5.3.tar.xz
tar xf lxdm-0.5.3.tar.xz ; cd lxdm-0.5.3
fi
./configure --prefix=/usr --sysconfdir=/etc --with-pam --with-systemdsystemunitdir=no
make
make install
echo '#!/bin/sh
# Largely adapted from xdm init script:
# Copyright 1998-2002, 2004, 2005 Branden Robinson <branden@debian.org>.
# Copyright 2006 Eugene Konev <ejka@imfi.kspu.ru>
#
# This is free software; you may redistribute it and/or modify
# it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# This is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License with
# the Debian operating system, in /usr/share/common-licenses/GPL; if
# not, write to the Free Software Foundation, Inc., 51 Franklin Street,
# Fifth Floor, Boston, MA 02110-1301, USA.
### BEGIN INIT INFO
# Provides: lxdm
# Should-Start: $named console-screen dbus acpid hal consolekit
# Required-Start: $local_fs $remote_fs x11-common
# Required-Stop: $local_fs $remote_fs
# Should-Stop: $named
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: LXDE Display Manager (LXDM)
# Description: Debian init script for the LXDE Display Manager
### END INIT INFO
set -e
HEED_DEFAULT_DISPLAY_MANAGER=
# To start lxdm even if it is not the default display manager, change
# HEED_DEFAULT_DISPLAY_MANAGER to "false."
# Also overridable from command line like:
# HEED_DEFAULT_DISPLAY_MANAGER=false /etc/init.d/lxdm start
[ -z "$HEED_DEFAULT_DISPLAY_MANAGER" ] && HEED_DEFAULT_DISPLAY_MANAGER=true
DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager
PATH=/bin:/usr/bin:/sbin:/usr/sbin
DAEMON=/usr/sbin/lxdm-binary
PIDFILE=/var/run/lxdm.pid
if [ -r /etc/default/locale ]; then
. /etc/default/locale
export LANG LANGUAGE
fi
test -x $DAEMON || exit 0
. /lib/lsb/init-functions
SSD_START_ARGS="--pidfile $PIDFILE --name $(basename $DAEMON) --startas $DAEMON -- -d"
SSD_STOP_ARGS="--pidfile $PIDFILE --name $(basename $DAEMON) --retry TERM/5/TERM/5"
case "$1" in
start)
if [ "$HEED_DEFAULT_DISPLAY_MANAGER" = "true" ] &&
[ -e $DEFAULT_DISPLAY_MANAGER_FILE ] &&
[ "$(cat $DEFAULT_DISPLAY_MANAGER_FILE)" != "/usr/sbin/lxdm" ]; then
echo "Not starting X display manager (lxdm); it is not the default" \
"display manager."
else
log_daemon_msg "Starting X display manager" "lxdm"
start-stop-daemon --start --quiet $SSD_START_ARGS \
|| log_progress_msg "already running"
log_end_msg 0
fi
;;
restart)
[ -f $PIDFILE ] && /etc/init.d/lxdm stop
[ -f $PIDFILE ] && exit 1
/etc/init.d/lxdm start
;;
stop)
log_daemon_msg "Stopping X display manager" "lxdm"
if ! [ -f $PIDFILE ]; then
log_progress_msg "not running ($PIDFILE not found)"
else
start-stop-daemon --stop --quiet $SSD_STOP_ARGS
SSD_RES=$?
if [ $SSD_RES -eq 1 ]; then
log_progress_msg "not running"
fi
if [ $SSD_RES -eq 2 ]; then
log_progress_msg "not responding to TERM signals"
else
if [ -f $PIDFILE ]; then
log_progress_msg "(removing stale $PIDFILE)"
rm $PIDFILE
fi
fi
fi
log_end_msg 0
;;
force-reload)
/etc/init.d/lxdm restart
;;
status)
status_of_proc -p $PIDFILE $DAEMON lxdm
;;
*)
echo "Usage: /etc/init.d/lxdm {start|stop|restart|force-reload}"
exit 1
;;
esac
exit 0' | sudo tee /etc/init.d/lxdm
chmod a+o+x /etc/init.d/lxdm
echo '$x-display-manager lxdm' | sudo tee /etc/insserv.conf.d/lxdm
echo '/var/log/lxdm.log {
missingok
notifempty
copytruncate
}' | sudo tee /etc/logrotate.d/lxdm
echo '#%PAM-1.0
# Comments stolen from lightdm-pam-file
# Block login if they are globally disabled
auth requisite pam_nologin.so
# Load environment from /etc/environment and ~/.pam_environment
auth required pam_env.so readenv=1
auth required pam_env.so readenv=1 envfile=/etc/default/locale
auth required pam_env.so readenv=1 envfile=/etc/lxdm-environment
# auth sufficient pam_succeed_if.so user ingroup nopasswdlogin
@include common-auth
auth optional pam_gnome_keyring.so
@include common-account
# SELinux needs to be the first session rule. This ensures that any
# lingering context has been cleared. Without out this it is possible
# that a module could execute code in the wrong domain.
# When the module is present, "required" would be sufficient (When SELinux
# is disabled, this returns success.)
#
session [success=ok ignore=ignore module_unknown=ignore default=bad] pam_selinux.so close
session required pam_unix.so # added by klaumi
session required pam_limits.so
session required pam_loginuid.so # added by klaumi
# @include common-session-noninteractive # commented out by klaumi
@include common-session # added by klaumi
# SELinux needs to intervene at login time to ensure that the process
# starts in the proper default security context. Only sessions which are
# intended to run in the users context should be run after this.
# When the module is present, "required" would be sufficient (When SELinux
# is disabled, this returns success.)
#
session [success=ok ignore=ignore module_unknown=ignore default=bad] pam_selinux.so open
session optional pam_gnome_keyring.so auto_start
session optional pam_systemd.so
@include common-password' | sudo tee /etc/pam.d/lxdm
echo '/usr/sbin/lxdm' | sudo tee /etc/X11/default-display-manager
echo 'GDK_CORE_DEVICE_EVENTS=true' | sudo tee /etc/lxdm-environment
sudo invoke-rc.d dbus reload || true
sudo update-alternatives --install /etc/lxdm/default.conf lxdm.conf /etc/lxdm/lxdm.conf 50
sudo rc-update add lxdm default
Just for not recibe the error
"Xsession : unable to launch "lightdm-xsession" X session --- "lightdm-xsession" not found; falling back to default session.
Copy & Paste the follow in a terminal window :
echo '[Desktop]
Session=xfce
Language=es_ES.utf8
Layout=es' | tee ~/.dmrc
Well in session just replace "xfce" for your desktop environment.
Ok the unique problem for me its i don't know the things i must do for enable the automatic start of lxdm?
Offline
Trying with :
update-rc del lxdm default
update-rc.d lxdm defaults 30 01 >/dev/null 2>&1
The same. its not autostarting lxdm after start the rest of openrc services.
Last edited by inukaze (2019-05-20 03:14:11)
Offline
The openrc command to add a service to the default runlevel would be:
rc-update add lxdm default
This should create a symlink for the lxdm init script in /etc/runlevels/default (pointing to /etc/init.d), and thus openrc should autostart it upon boot.
Last edited by dxrobertson (2019-05-20 10:24:36)
Offline
i try that too, but neither work. i don't know why.
Offline
Post the results of the following commands (root required!)
dpkg --get-selections > selections.txt
rc-update show > rc-level.txt
uname -a
You can copy the results of the last command directly, but the other commands each produce a text file. Post the contents of these files.
Online
uname -a
Linux Inukaze 4.9.0-9-amd64 #1 SMP Debian 4.9.168-1+deb9u2 (2019-05-13) x86_64 GNU/Linux
Offline
Pages: 1